import request from '@/utils/request'

// 查询会员等级列表
export function listVipLevel(query) {
  return request({
    url: '/ss/vipLevel/list',
    method: 'get',
    params: query
  })
}

// 查询会员等级列表
export function listVipLevelByIds(ids) {
  return request({
    url: '/ss/vipLevel/listByIds',
    method: 'post',
    data: ids
  })
}

// 查询会员等级详细
export function getVipLevel(id) {
  return request({
    url: '/ss/vipLevel/' + id,
    method: 'get'
  })
}

// 新增会员等级
export function addVipLevel(data) {
  return request({
    url: '/ss/vipLevel',
    method: 'post',
    data: data
  })
}

// 修改会员等级
export function updateVipLevel(data) {
  return request({
    url: '/ss/vipLevel',
    method: 'put',
    data: data
  })
}

// 删除会员等级
export function delVipLevel(id) {
  return request({
    url: '/ss/vipLevel/' + id,
    method: 'delete'
  })
}
